This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 853954 - Warning about conflicting contexts for /usr/lib64/libzip/include/zipconf.h versus /usr/include/zipconf-64.h
Warning about conflicting contexts for /usr/lib64/libzip/include/zipconf.h ve...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libzip (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 08:01 EDT by Hans de Goede
Modified: 2012-09-17 19:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:13:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2012-09-03 08:01:09 EDT
Hi,

I just remembered that yesterday after doing "fixfiles onboot; reboot" I got a warning during the relabel about conflicting file contexts in the policy for: /usr/lib64/libzip/include/zipconf.h versus /usr/include/zipconf-64.h

These files appear to be hardlinks from each other:
[hans@shalem qemu]$ ls -l /usr/lib64/libzip/include/zipconf.h 
-rw-r--r--. 2 root root 994 Jul 20 20:24 /usr/lib64/libzip/include/zipconf.h
[hans@shalem qemu]$ ls -l /usr/include/zipconf-64.h 
-rw-r--r--. 2 root root 994 Jul 20 20:24 /usr/include/zipconf-64.h

So this may be considered a libzip packaging bug, if so, please describe what needs to be changed from an selinux policy pov and change the component.

Thanks,

Hans
Comment 1 Miroslav Grepl 2012-09-03 13:22:21 EDT
Well this a problem with hardlinks. We need to add labeling for both paths. Is hardlink needed?
Comment 2 Rex Dieter 2012-09-05 12:20:23 EDT
I can use symlink instead of hardlink if  that's a problem
Comment 3 Hans de Goede 2012-09-05 13:24:20 EDT
(In reply to comment #2)
> I can use symlink instead of hardlink if  that's a problem

If that is possible using a symlink would be a good solution to silenc the warning selinux onboot relabeling gives about these 2 files.
Comment 4 Fedora Update System 2012-09-05 13:34:38 EDT
libzip-0.10.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libzip-0.10.1-4.fc18
Comment 5 Fedora Update System 2012-09-17 19:13:57 EDT
libzip-0.10.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.